aboutsummaryrefslogtreecommitdiffstats
path: root/debian.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian.sh')
-rwxr-xr-xdebian.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian.sh b/debian.sh
new file mode 100755
index 0000000..6c920de
--- /dev/null
+++ b/debian.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env sh
+
+set -e
+#set -x
+
+NAME=$1
+DIST=debian
+RELEASE=stretch
+ARCH=amd64
+PACKAGES="gnupg apt-transport-https curl libssl1.0-dev libncurses5-dev \
+ zsh vim sudo erlang-nox git make autoconf automake gcc"
+
+for f in ci.d/*; do source "$f"; done
+
+buildkite_stop $DIST
+lxc_destroy
+lxc_create $DIST $RELEASE $ARCH
+lxc_wait_for_ip
+apt_get_upgrade
+apt_get_install $PACKAGES
+buildkite_install $DIST $BUILDKITE_TOKEN
+ssh_copy_host_key
+ssh_copy_host_key buildkite-agent /var/lib/buildkite-agent
+lxc_restart